Skip to main content
POST
/
integration
/
spiideo
/
v1
/
sport_configurations
cURL
curl --request POST \
  --url https://api.mottostreaming.com/integration/spiideo/v1/sport_configurations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "spiideo_sport": "<string>",
  "minutes_before_start": "<string>",
  "duration_minutes": "<string>"
}
'
import requests

url = "https://api.mottostreaming.com/integration/spiideo/v1/sport_configurations"

payload = {
"spiideo_sport": "<string>",
"minutes_before_start": "<string>",
"duration_minutes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
spiideo_sport: '<string>',
minutes_before_start: '<string>',
duration_minutes: '<string>'
})
};

fetch('https://api.mottostreaming.com/integration/spiideo/v1/sport_configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "sport_configuration": {
    "spiideo_sport": "<string>",
    "minutes_before_start": "<string>",
    "duration_minutes": "<string>"
  }
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_id
string
required

Body

application/json

SpiideoSportConfiguration defines sport-specific configuration for Spiideo integrations.

spiideo_sport
string
required

The Spiideo sport this configuration applies to. This should match the enum values in Spiideo, e.g. "football", "basketball", etc.

minutes_before_start
string
required

The number of minutes before the start of a game to turn on the camera for this sport. This will override the default minutes before start configured on the SpiideoIntegration.

duration_minutes
string
required

The duration in minutes for which the camera should be on for this sport. This will override the default duration configured on the SpiideoIntegration.

Response

OK

sport_configuration
object

SpiideoSportConfiguration defines sport-specific configuration for Spiideo integrations.